{% extends 'core/base.html' %}
{% load static %}
{% load services_extras %}
{% block title %}{{post.title}}{% endblock %}
{% block content %}
{% include 'services/includes/posts_menu.html' %}
<main role="main">
  <div class="container">
    <div class="row mt-3 mb-5">
      <div class="col-md-9 mx-auto">
        <h2 class="section-heading mb-4">{{post.title}}</h2>
        <div class="row">
          <div class="col-md-6">
            <strong>{{post.schedule}}</strong><br>
            <i>Edificio {{post.place}} Aula {{post.classroom}}</i><br>
            {% if post.status == 'Finalizado' %}
              <b style="color: RGB(195,53,56)">{{post.status}}</b><br>
            {% elif post.status == 'Pendiente' %}
              <b style="color: RGB(122,186,5)">{{post.status}}</b><br>
            {% else %}
              <b style="color: black">{{post.status}}</b><br>
            {% endif %}
          </div>
          <div class="col-md-6">
            <strong>Profesor: {{post.teacher.first_name}} {{post.teacher.last_name}}</strong><br>
            <strong>Idioma: {{post.course}}</strong><br>
          </div>
        </div>
        <div style="margin-top: 25px">
            {{post.content|safe}}
        </div>
        <i>Publicado: {{post.published}}</i><br>
        <i>Editado: {{post.updated}}</i><br>
        {% if post.attendance %}
          <div>
            <i>Lista de asistencia: <a id="link_footer" target="_blank" href="{{post.attendance}}">Ver en Google Drive</a> </i>
          </div>
        {% endif %}
        
        {% if request.user.is_staff or request.user|has_group:"profesores" %}
          {% if request.user.is_staff %}
            <p class="mb-3"><a class=" btn btn-warning btn-block mt-2" href="{% url 'posts:update' post.id %}">Editar</a></p>
          {% endif %}
          {% if request.user|has_group:"profesores" and request.user.id == post.teacher.id %} 
            <p class="mb-3"><a class="btn btn-warning btn-block mt-2" href="{% url 'posts:attendance' post.id %}">Asistencias</a></p>
          {% endif %}
          <h2 class="section-heading mb-4 mt-5">Alumnos inscritos</h2>
          <table class="table table-hover">
            <thead>
              <tr>
                <th class="text-center">Ver</th>
                <th>Alumno</th>
                <th>MT</th>
                <th>FE</th>
                <th>FG</th>
                {% if request.user.is_staff %}
                  <th class="text-center">Editar</th>
                  <th class="text-center">Calificar</th>
                  <th class="text-center">Borrar</th>
                {% endif %}
                {% if request.user|has_group:"profesores" and request.user.id == post.teacher.id %}
                  <th class="text-center">Calificar</th>
                {% endif %}
              </tr>
            </thead>
            <tbody>
              {% get_inscription_list as inscription_list %}
              {% for inscription in inscription_list %}
                {% if post.id == inscription.course.id %}
                  <tr>
                    <th class="text-center"><a id="link_footer" href="{% url 'inscriptions:inscription' inscription.id %}"><i class="fa fa-eye"></i></a></th>
                    <th>{{inscription.student.first_name}} {{inscription.student.last_name}}</th>
                    <th>{{inscription.midTerm}}</th>
                    <th>{{inscription.finalExam}}</th>
                    <th>{{inscription.finalGrade}}</th>
                    {% if request.user.is_staff %}
                      <th class="text-center"><a id="link_warning" href="{% url 'inscriptions:update' inscription.id %}"><i class="fa fa-edit"></i></a></th>
                      <th class="text-center"><a id="link_warning" href="{% url 'grades:update' inscription.id %}"><i class="fa fa-pencil"></i></a></th>
                      <th class="text-center"><a id="link_danger" href="{% url 'inscriptions:delete' inscription.id %}"><i class="fa fa-trash"></i></a></th>
                    {% endif %}
                    {% if request.user|has_group:"profesores" and request.user.id == post.teacher.id %}
                      <th class="text-center"><a id="link_warning" href="{% url 'grades:update' inscription.id %}"><i class="fa fa-pencil"></i></a></th>
                    {% endif %}
                  </tr>
                {% endif %}
              {% endfor %}
            </tbody>
          </table>
        {% endif %}
      </div>
    </div>
  </div>
</main>
{% endblock %}
